{% extends "base.html" %}

{% block title %}
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            {% if task_list|length < 1 %}
                <p>You have no tasks</p>
            {% else %}
                <table>
                    <tr>
                        <th>Name</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                    {% for task in task_list %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            <td>{{ task.is_completed|yesno:"yes, no" }}</td>
                        </tr>
                    {% endfor %}
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
